#
# Base board Sample Program
#
# Copyright(C) 2024. fireflake,inc.
#

from machine import UART, Pin
import utime

UART0_CHANNEL = const(0)
UART0_BAUDRATE = const(9600)
UART0_TX_PIN =const(0)
UART0_RX_PIN = const(1)
UART0_BITS = const(8)
UART0_PARITYBIT = const(None)
UART0_STOPBIT = const(1)

FLOW_CONTROLL_PIN = const(22)
TX_MODE = const(1)
RX_MODE = const(0)

uart0 = UART(UART0_CHANNEL, UART0_BAUDRATE,
            bits=UART0_BITS, parity=UART0_PARITYBIT, stop=UART0_STOPBIT,
            tx=Pin(UART0_TX_PIN), rx=(UART0_RX_PIN))

data_flow = Pin(FLOW_CONTROLL_PIN, Pin.OUT)
data_flow(RX_MODE)

while True:
    if uart0.any():
        print("Received data:", uart0.read())
    utime.sleep(1)
