#
# Other Sample Program
#
# Copyright(C) 2024. fireflake,inc.
#

import network
import utime
import urequests

def main():

    SSID = const('')         # 使用するWi-FiのSSID
    PASSWORD = const('')     # 使用するWi-Fiのパスワード
    WEB_APP_URL = const('')  # Google App Scriptで作成したウェブアプリのURL

    wlan = network.WLAN(network.STA_IF)
    wlan.active(True)
    wlan.connect(SSID, PASSWORD)
    wlan_connect_max_wait = 30
    while wlan_connect_max_wait > 0:
        # wlanのステータスコードは下記資料を参照
        # Connecting to the Internet with Raspberry Pi Pico W - 3.6.1. Connection status codes
        # https://datasheets.raspberrypi.com/picow/connecting-to-the-internet-with-pico-w.pdf
        if wlan.status() < 0 or wlan.status() >= 3:
            break
        wlan_connect_max_wait -= 1
        print('WiFi connecting')
        utime.sleep(1)
    # Handle connection error
    if wlan.status() != 3:
        print('WiFi conn err')
    else:
        print('WiFi connected')

    data1 = 'test_message'
    data2 = '100'
    data3 = '0.05'
    request_url = WEB_APP_URL + '?data1=' + data1 + '&data2=' + data2 + '&data3=' + data3
    response = urequests.get(request_url) # Google Sheetsにパラメータ送信
    print('send data to google sheets.')
    response.close()

if __name__ == "__main__":
    main()
