#
# Other Sample Program
#
# Copyright(C) 2024. fireflake,inc.
#

import network
import utime
import urequests as requests
import ujson as json

def main():

    SSID = const('')               # 使用するWi-FiのSSID
    PASSWORD = const('')           # 使用するWi-Fiのパスワード
    LINE_NOTIFY_TOKEN = const('')  # LINE Notifyで作成したトークン

    wlan = network.WLAN(network.STA_IF)
    wlan.active(True)
    wlan.connect(SSID, PASSWORD)
    wlan_connect_max_wait = 30
    while wlan_connect_max_wait > 0:
        # wlanのステータスコードは下記資料を参照
        # Connecting to the Internet with Raspberry Pi Pico W - 3.6.1. Connection status codes
        # https://datasheets.raspberrypi.com/picow/connecting-to-the-internet-with-pico-w.pdf
        if wlan.status() < 0 or wlan.status() >= 3:
            break
        wlan_connect_max_wait -= 1
        print('WiFi connecting')
        utime.sleep(1)
    # Handle connection error
    if wlan.status() != 3:
        print('WiFi conn err')
    else:
        print('WiFi connected')

    url = 'https://notify-api.line.me/api/notify'
    headers = {
        'Content-Type' : 'application/x-www-form-urlencoded',
        'Authorization': 'Bearer ' + LINE_NOTIFY_TOKEN
    }
    data = 'message=this is test message'
    response = requests.post(url, headers=headers, data=data)  # LINE Notifyにメッセージ送信
    print(response.json())
    response.close()
    print('send data to line notify.')

if __name__ == "__main__":
    main()
