#
# Other Sample Program
#
# Copyright(C) 2024. fireflake,inc.
#

import network
import utime
import socket

def main():

    SSID = const('')            # 使用するWi-FiのSSID
    PASSWORD = const('')  # 使用するWi-Fiのパスワード
    
    UECS_PORT = const(16520)  # UECSのCCM送受ポート

    wlan = network.WLAN(network.STA_IF)
    wlan.active(True)
    wlan.connect(SSID, PASSWORD)
    wlan_connect_max_wait = 30
    while wlan_connect_max_wait > 0:
        # wlanのステータスコードは下記資料を参照
        # Connecting to the Internet with Raspberry Pi Pico W - 3.6.1. Connection status codes
        # https://datasheets.raspberrypi.com/picow/connecting-to-the-internet-with-pico-w.pdf
        if wlan.status() < 0 or wlan.status() >= 3:
            break
        wlan_connect_max_wait -= 1
        print('WiFi connecting')
        utime.sleep(1)
    # Handle connection error
    if wlan.status() != 3:
        print('WiFi conn err')
    else:
        print('WiFi connected')
    
    # UDPで通信をする準備
    sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    sock.bind(('', UECS_PORT))
    buf_size = 512
    while True:
        receive_data, addr = sock.recvfrom(buf_size)  # CCMを受信
        print('receive ccm: {}'.format(receive_data.decode()))
    sock.close()
    
if __name__ == "__main__":
    main()
