#
# Plant Env Sensor board Sample Program
#
# Copyright(C) 2024. fireflake,inc.
#

import conf
from machine import Pin
import utime

def main():
    ## 植物生育環境計測ボード上のタクトスイッチの動作設定
    # 左側の白いタクトスイッチ
    def sw_white_callback(arg):
        # 押された時の動作
        print('white sw pushed!')
        
    sw_white = Pin(conf.GPIO_12, Pin.IN, Pin.PULL_UP)
    sw_white.irq(sw_white_callback, trigger=Pin.IRQ_FALLING)

    # 右側の黒いタクトスイッチ
    def sw_black_callback(arg):
        # 押された時の動作
        print('black sw pushed!')

    sw_black = Pin(conf.GPIO_13, Pin.IN, Pin.PULL_UP)
    sw_black.irq(sw_black_callback, trigger=Pin.IRQ_FALLING)

if __name__ == "__main__":
    main()
